Skip to main content
GET
/
v3
/
languages
Retrieve Languages
curl --request GET \
  --url https://api.deepl.com/v3/languages \
  --header 'Authorization: <api-key>'
[
  {
    "lang": "de",
    "name": "German",
    "usable_as_source": true,
    "usable_as_target": true,
    "status": "stable",
    "features": {
      "formality": {
        "status": "stable"
      },
      "tag_handling": {
        "status": "stable"
      },
      "glossary": {
        "status": "stable"
      }
    }
  },
  {
    "lang": "en",
    "name": "English",
    "usable_as_source": true,
    "usable_as_target": false,
    "status": "stable",
    "features": {
      "tag_handling": {
        "status": "stable"
      },
      "glossary": {
        "status": "stable"
      }
    }
  },
  {
    "lang": "en-US",
    "name": "English (American)",
    "usable_as_source": false,
    "usable_as_target": true,
    "status": "stable",
    "features": {
      "tag_handling": {
        "status": "stable"
      },
      "glossary": {
        "status": "stable"
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://deepl-c950b784-v3-langs-ga-phase-2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:DeepL-Auth-Key
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

resource
enum<string>
required

The resource to retrieve languages for. Supported values: translate_text, translate_document, glossary, voice, write, style_rules.

Available options:
translate_text,
translate_document,
glossary,
voice,
write,
style_rules
include
enum<string>[]

Controls which languages and features are included in the response. By default, only stable languages and features are returned. Values can be combined with repeated parameters (e.g. ?include=beta&include=external).

  • beta: Include languages and features in beta, in addition to stable
  • external: Include features that rely on third-party service providers
Available options:
beta,
external

Response

JSON array where each item represents a supported language.

lang
string
required

The language code (BCP 47).

Example:

"de"

name
string
required

Name of the language in English.

Example:

"German"

usable_as_source
boolean
required

Whether this language can be used as a source language with the specified resource.

usable_as_target
boolean
required

Whether this language can be used as a target language with the specified resource.

status
enum<string>
required

Availability status of this language.

Available options:
stable,
beta,
early_access
Example:

"stable"

features
object
required

Features supported for this language with the specified resource. Always present; empty object if no optional features are supported. Each key is a feature name; the value is an object with at least a status field. Consult GET /v3/languages/resources to determine whether a feature must be present on the source language, target language, or both for a given resource.

Example:
{
"formality": { "status": "stable" },
"tag_handling": { "status": "stable" },
"glossary": { "status": "stable" }
}